MAXST Co Ltd

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/maxst-co-ltd/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/maxst-co-ltd/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1753056000000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://englishdart.fss.or.kr/dsbh001/main.do?rcpNo=20250721000219",
    "holding_balance": 444.0495,
    "holding_net_change": 43.83,
    "transaction_value_usd": 5102616.43,
    "average_entry_value_usd": 116429.78,
    "transaction_value_calculated": false
  },
  {
    "date": 1753833600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://englishdart.fss.or.kr/dsbh001/main.do?rcpNo=20250730000390",
    "holding_balance": 500.094,
    "holding_net_change": 56.04,
    "transaction_value_usd": 6503932.04,
    "average_entry_value_usd": 116049.43,
    "transaction_value_calculated": false
  },
  {
    "date": 1754956800000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://englishdart.fss.or.kr/dsbh001/main.do?rcpNo=20250812000748",
    "holding_balance": 551.2082,
    "holding_net_change": 51.11,
    "transaction_value_usd": 5931419.96,
    "average_entry_value_usd": 116042.51,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/maxst-co-ltd/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    551.2082
  ],
  [
    1779062400000,
    551.2082
  ],
  [
    1779148800000,
    551.2082
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/maxst-co-ltd/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    42679973.756852
  ],
  [
    1779062400000,
    42412312.567014
  ],
  [
    1779148800000,
    42310746.944082
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/maxst-co-ltd/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 2420.0,
    "date": "2026-05-18",
    "high": 2665.0,
    "open": 2510.0,
    "close": 2620.0,
    "volume": 48608
  },
  {
    "low": 2460.0,
    "date": "2026-05-19",
    "high": 2620.0,
    "open": 2620.0,
    "close": 2510.0,
    "volume": 32087
  },
  {
    "low": 2350.0,
    "date": "2026-05-20",
    "high": 2740.0,
    "open": 2485.0,
    "close": 2455.0,
    "volume": 83836
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/maxst-co-ltd/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/maxst-co-ltd/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -9.74,
  "six_month_return": -80.73,
  "three_month_return": -68.17
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/maxst-co-ltd/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 0.2,
  "total_btc_percentage": 0.003,
  "share_price_change_state": "down"
}